#pragma once

#include "CoreMinimal.h"
#include "Perk.h"
#include "GameplayTagContainer.h"
#include "GameEventData.h"
#include "S47P03.generated.h"

class UPerkTierValueStrategy;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class US47P03 : public UPerk
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _rangeToStunOrBlind;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced, meta=(AllowPrivateAccess=true))
	UPerkTierValueStrategy* _perkDuration;

private:
	UFUNCTION()
	void Authority_OnKillerPalletStunOrBlind(FGameplayTag gameEventType, const FGameEventData& gameEventData);

public:
	US47P03();
};

FORCEINLINE uint32 GetTypeHash(const US47P03) { return 0; }
